Skip to main content
`Ctrl`+`K`

# SNESNewtonALGetFunction

Get the user function and context set with `SNESNewtonALSetFunction`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonALGetFunction(SNES snes, SNESFunctionFn **func, void **ctx)

Logically Collective

## Input Parameters

- snes - the nonlinear solver object

- func - [optional] tangent load function evaluation routine, see `SNESNewtonALSetFunction()` for the call sequence

- ctx - [optional] user-defined context for private data for the function evaluation routine (may be `NULL`)

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONAL`, `SNESNewtonALSetFunction()`

## Level

intermediate

## Location

src/snes/impls/al/al.c

## Implementations

SNESNewtonALGetFunction_NEWTONAL() in src/snes/impls/al/al.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages